package com.vaadin.spring.roo.addon.addons;

import org.apache.commons.lang3.Validate;
import org.apache.commons.lang3.builder.ToStringBuilder;

public class VaadinAddonArtifactId implements Comparable<VaadinAddonArtifactId> {

	// artifact id
	private String key;

	public VaadinAddonArtifactId(String key) {
		// Validate.hasText(key, "bundle symbolic name required");
		Validate.notBlank(key, "bundle symbolic name required");
		this.key = key;
	}

	@Override
	public final int hashCode() {
		return key.hashCode();
	}

	@Override
	public final boolean equals(Object obj) {
		return obj instanceof VaadinAddonArtifactId
				&& compareTo((VaadinAddonArtifactId) obj) == 0;
	}

	public final int compareTo(VaadinAddonArtifactId o) {
		if (o == null) {
			return -1;
		}
		return key.compareTo(o.key);
	}

	public String getKey() {
		return key;
	}

	@Override
	public String toString() {
		ToStringBuilder tsb = new ToStringBuilder(this);
		tsb.append("key", key);
		return tsb.toString();
	}

}
